## python-bitcoinlib 0.12.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bitcoin.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bitcoin.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bitcoin"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bitcoin"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-bitcoinlib 0.7.0

=== debian/changelog ===
python-bitcoinlib (0.7.0-1) unstable; urgency=low

  * Initial release. (Closes: #818942)

 -- Josue Ortega <josue@debian.org>  Sun, 14 May 2017 10:44:14 -0600

=== debian/control ===
Source: python-bitcoinlib
Section: python
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>=9),
 dh-python,
 python3-setuptools,
 python3-all
Standards-Version: 3.9.8
Homepage: https://github.com/petertodd/python-bitcoinlib
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/python-bitcoinlib.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-bitcoinlib.git

Package: python3-bitcoinlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 libssl-dev
Description: Python module with an easy interface to the Bitcoin protocol
 Python 3 module that provides an easy interface to the bitcoin data structures
 and protocol. The approach is low-level and "ground up", with a focus on
 providing tools to manipulate the internals of how Bitcoin works.

## python-bitcoinlib 0.9.0

=== debian/changelog ===
python-bitcoinlib (0.9.0-2) unstable; urgency=medium

  * Adds conflicts declaration with python-bitcoin (Closes: #881832).
  * Bumps Standards-Version to 4.1.3, no changes required.
  * Bumps compat level to 11.
  * Updates Vcs fields to salsa.debian.org.
  * Adds examples installation.

 -- Josue Ortega <josue@debian.org>  Thu, 15 Feb 2018 19:41:35 -0600

python-bitcoinlib (0.9.0-1) unstable; urgency=medium

  * New upstream release (0.9.0).
  * Bumps compat level to 10:
    - debian/control: debhelper version dependency bumped to (=>10).
  * debian/control: Bumps Standards-Version to 4.1.2, no changes needed.

 -- Josue Ortega <josue@debian.org>  Mon, 18 Dec 2017 19:48:53 -0600

python-bitcoinlib (0.8.0-1) unstable; urgency=medium

  * New upstream release 0.8.0.
  * debian/control: Bumps Standards-Version to 4.0.1, d/copyright Format URL
    updated to HTTPS version.

 -- Josue Ortega <josue@debian.org>  Sat, 26 Aug 2017 17:21:08 -0600

=== debian/control ===
Source: python-bitcoinlib
Section: python
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>=11),
 dh-python,
 python3-setuptools,
 python3-all
Standards-Version: 4.1.3
Homepage: https://github.com/petertodd/python-bitcoinlib
Vcs-Git: https://salsa.debian.org/debian/python-bitcoinlib.git
Vcs-Browser: https://salsa.debian.org/debian/python-bitcoinlib

Package: python3-bitcoinlib
Architecture: all
Conflicts: python3-bitcoin
Depends: ${misc:Depends}, ${python3:Depends},
 libssl-dev
Description: Python module with an easy interface to the Bitcoin protocol
 Python 3 module that provides an easy interface to the bitcoin data structures
 and protocol. The approach is low-level and "ground up", with a focus on
 providing tools to manipulate the internals of how Bitcoin works.

## python-bitcoinlib 0.10.1

=== debian/changelog ===
python-bitcoinlib (0.10.1-1) unstable; urgency=medium

  * New upstream release (0.10.1).
  * debian/control: Bumps Standards-Version to 4.1.4, no changes required.

 -- Josue Ortega <josue@debian.org>  Mon, 23 Apr 2018 20:50:34 -0600

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  dh-python,
  python3-setuptools,
  python3-all
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/petertodd/python-bitcoinlib
 Vcs-Git: https://salsa.debian.org/debian/python-bitcoinlib.git
 Vcs-Browser: https://salsa.debian.org/debian/python-bitcoinlib

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=bitcoinlib

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf python_bitcoinlib.egg-info

override_dh_installchangelogs:
	dh_installchangelogs release-notes.md

## python-bitcoinlib 0.10.2

=== debian/changelog ===
python-bitcoinlib (0.10.2-1) unstable; urgency=medium

  * New upstream release (0.10.2)
  * Update package to use debhelper-compat (= 12)
  * Add debian CI test
  * Bump Standards-Version to 4.4.0. No changes required

 -- Josue Ortega <josue@debian.org>  Mon, 26 Aug 2019 13:17:24 -0600

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper (>=11),
+Build-Depends: debhelper-compat (= 12),
  dh-python,
  python3-setuptools,
  python3-all
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: https://github.com/petertodd/python-bitcoinlib
 Vcs-Git: https://salsa.debian.org/debian/python-bitcoinlib.git
 Vcs-Browser: https://salsa.debian.org/debian/python-bitcoinlib

=== debian/tests/control ===
Tests: msg-serializable
Depends: python3-bitcoinlib

## python-bitcoinlib 0.11.0

=== debian/changelog ===
python-bitcoinlib (0.11.0-1) unstable; urgency=medium

  * New upstream release (0.11.0)
  * debian/control: Add Rules-Requires-Root field
  * Bump Standards-Version to 4.5.0. No changes required

 -- Josue Ortega <josue@debian.org>  Sun, 19 Apr 2020 11:49:36 -0600

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  dh-python,
  python3-setuptools,
  python3-all
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/petertodd/python-bitcoinlib
 Vcs-Git: https://salsa.debian.org/debian/python-bitcoinlib.git
 Vcs-Browser: https://salsa.debian.org/debian/python-bitcoinlib

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-bitcoinlib-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/petertodd/python-bitcoinlib/tags .*/python-bitcoinlib-v?(\d\S+)\.tar\.gz

## python-bitcoinlib 0.11.2

=== debian/changelog ===
python-bitcoinlib (0.11.2-1) unstable; urgency=medium

  * New upstream release (0.11.2). Closes: #1011701
  * Add patch temporarily disabling tests calling VerifyScript function.
  * debian/copyright: Update copyright holder years.
  * Bump debhelper-compat to use (=13).
  * Bump Standards-Version to 4.6.2. No changes required.
  * Bump debian/watch version to use 4.

 -- Josue Ortega <josue@debian.org>  Mon, 26 Dec 2022 15:22:25 -0600

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-setuptools,
  python3-all
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/petertodd/python-bitcoinlib
 Vcs-Git: https://salsa.debian.org/debian/python-bitcoinlib.git

## python-bitcoinlib 0.12.2

=== debian/changelog ===
python-bitcoinlib (0.12.2-1) unstable; urgency=medium

  * New upstream release (0.12.2):
    + Remove debian/patches/00-include-test-data.patch. No longer needed.
  * Add debian/patches/fix-test-data: Includes missing test JSON data.
  * debian/copyright: Update debian/* copyright holder year.
  * Bump Standards-Version to 4.7.2. No changes required.

 -- Josue Ortega <josue@debian.org>  Mon, 31 Mar 2025 08:32:29 -0600

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  dh-python,
  python3-setuptools,
  python3-all
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/petertodd/python-bitcoinlib
 Vcs-Git: https://salsa.debian.org/debian/python-bitcoinlib.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-bitcoinlib-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/petertodd/python-bitcoinlib/tags .*/python-bitcoinlib-v?(\d\S+)\.tar\.gz
